Jump to content
ralgiere

New install Installed Version: osCommerce Online Merchant v2.3.4.1

Recommended Posts

Posted (edited)

PHP Parse error:  syntax error, unexpected 'else' (T_ELSE) in /xxx.net/checkout_shipping.php on line 482

PHP Fatal error:  Call to a member function register() on null in /xxx.net/admin/orders.php on line 220

orders.php

checkout_shipping2

 

 

 

Edited by ralgiere

Share this post


Link to post
Share on other sites

@ralgiere

Two things ... 1) What version of PHP are you using? The stock osC v2.3.4.1 is NOT ready for PHP v7.x

2) osC v2.3.4.1 is *VERY* out of date. Since this is a fresh install, I recommend starting over with the community version, Phoenix, which is available on the official download page.

Maclolm


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

I downloaded phoenix-V1.0.6.0 and then uploaded it the server. setup the database. when I type the web site name I get this page is not working. Could you PLEASE point me in the correct direction to fix it?

Share this post


Link to post
Share on other sites

@ralgiere

13 hours ago, ralgiere said:

I downloaded phoenix-V1.0.6.0 and then uploaded it the server. setup the database. when I type the web site name I get this page is not working. Could you PLEASE point me in the correct direction to fix it?

Into what (sub)directory did you upload Phoenix? The default is "/catalog". So, when you say "I type the web site name", are you typing www.<my domain>.com, or www.<my domain>.com/catalog ?

Malcolm


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites
Posted (edited)

Thank you so much for your help but it is working.

I have been trying to make this site work for 8 years and I can't get it to work. I have spent years trying to do it and I don't have the knowledge or enough money at one time to fix the site. Or should I just pay for a company that does a one size fits all?

Can you or can you recommend someone for a price to:

1. install the newest and most modern version of Oscommerce 

2. create a layout I like

3. add MVS or something newer 

4. add Easy Populate or something newer to up date my database.

5. Add shipping add on that I can configure USPS and USPS

6. add a payment addon

7. and addons that I will need.

 

 

 

Edited by ralgiere

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×